Package com.arms.api.report.export_service.template

## Class PlaceholderResolver

- java.lang.Object
- - com.arms.api.report.export_service.template.PlaceholderResolver

-     @Component
      public class PlaceholderResolver
      extends java.lang.Object

  PPT 플레이스홀더 처리 컴포넌트

  {{KEY}} 형식의 플레이스홀더를 실제 값으로 치환합니다.

  Since:
    25.12.03

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PlaceholderResolver()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `containsPlaceholder​(java.lang.String text)` | 플레이스홀더 포함 여부
    `java.util.List<java.lang.String>` | `extractPlaceholderKeys​(java.lang.String text)` | 플레이스홀더 키 추출
    `void` | `resolveAllSlides​(org.apache.poi.xslf.usermodel.XMLSlideShow ppt, java.util.Map<java.lang.String,​java.lang.String> placeholders)` | 전체 프레젠테이션의 플레이스홀더 치환
    `void` | `resolvePlaceholders​(org.apache.poi.xslf.usermodel.XSLFSlide slide, java.util.Map<java.lang.String,​java.lang.String> placeholders)` | 슬라이드의 모든 플레이스홀더 치환
    `java.lang.String` | `resolvePlaceholderString​(java.lang.String text, java.util.Map<java.lang.String,​java.lang.String> placeholders)` | 문자열에서 플레이스홀더 치환

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlaceholderResolver

          public PlaceholderResolver()

  - ### Method Detail

    - #### resolvePlaceholders

          public void resolvePlaceholders​(org.apache.poi.xslf.usermodel.XSLFSlide slide,
                                          java.util.Map<java.lang.String,​java.lang.String> placeholders)

      슬라이드의 모든 플레이스홀더 치환
      Parameters:
        `slide` - 대상 슬라이드
        `placeholders` - 플레이스홀더 맵

    - #### resolvePlaceholderString

          public java.lang.String resolvePlaceholderString​(java.lang.String text,
                                                           java.util.Map<java.lang.String,​java.lang.String> placeholders)

      문자열에서 플레이스홀더 치환

    - #### containsPlaceholder

          public boolean containsPlaceholder​(java.lang.String text)

      플레이스홀더 포함 여부

    - #### extractPlaceholderKeys

          public java.util.List<java.lang.String> extractPlaceholderKeys​(java.lang.String text)

      플레이스홀더 키 추출

    - #### resolveAllSlides

          public void resolveAllSlides​(org.apache.poi.xslf.usermodel.XMLSlideShow ppt,
                                       java.util.Map<java.lang.String,​java.lang.String> placeholders)

      전체 프레젠테이션의 플레이스홀더 치환